Overview
GET
/persona/tool-templatespersonaList tool_templates
List tool-templates.
Auth: bearerAuth — calls run as the authenticated user.
Responses
200
List
- idstring
- toolKeystring
- sourceKindstring
- displayNamestring
- descriptionstring
- readOnlyboolean
- createdAtstring
- updatedAtstring
Example
[
{
"id": "string",
"toolKey": "string",
"sourceKind": "string",
"displayName": "string",
"description": "string",
"readOnly": true,
"createdAt": "string",
"updatedAt": "string"
}
]401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/persona/tool-templates" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/persona/tool-templates", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();